Inhalte
Index 🔎︎

# Anweisung With

Legt ein Objekt als Standardobjekt fest. Sofern kein anderer Objektname deklariert wird, beziehen sich alle Eigenschaften und Methoden auf das Standardobjekt, bis die Anweisung End With erreicht wird.

### Syntax:

        With object
           [statements]
        End With

### Parameter:

Verwenden Sie With und End With, wenn Sie mehrere Eigenschaften oder Methoden für ein einzelnes Objekt oder eine erweiterte Datentypdefinition haben.

Das Verschachteln von Anweisungen With hilft beim Schreiben und Lesen von Basic-Routinen.

Verwandte Themen

Anweisung Type